Skip to content

List all customer work items ​

GET/api/v1/workspaces/{workspace_slug}/customers/{customer_id}/issues/

List all work items linked to a customer, with filtering by request.

Path parameters ​

customer_id:requiredstring

The unique identifier of the customer.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Scopes ​

customers.work_items:read

List all customer work items
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/issues/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response200
json
{
  "detail": "Customer issues retrieved successfully"
}